FacileForms и Joomla 1.5

Захотели тут знакомые прикрутить себе на сайт под Joomla 1.5+ форму обратной связи под FacileForms. Уж не знаю где надыбали, но установили, но при попытке обратиться к модулю из админки- вылетает следующая ошибка:

Warning: require_once (domain/administrator/includes/menubar.html.php) [function.require-once]: failed to open stream: Нет такого файла или каталога in  domain/administrator/components/com_facileforms/admin.facileforms.php on line 30
Fatal error: require_once() [function.require]: Failed opening required ‘/domain/administrator/includes/menubar.html.php’ (include_path=’.:/usr/local/zend/share/pear’) in /domain/administrator/components/com_facileforms/admin.facileforms.php on line 30

Собственно не мудрствуя лукаво заподозрил что модуль не дружит с Joomla 1.5 так как в принципе писался под первую версию. Но дело в том что 1.5 стоял в режиме совместимости с 1.0, так что предполагалось что должно работать. Так что качаем с джумловского исходника menubar.html.php, чистим его блочным выделением от номеров в Notepad++ и загоняем по адресу administrator/includes/ , но теперь при обращении к модулю- он поставил окончательный диагноз: Facile Forms requires Joomla 1.0.0 at least!

так что первый диагноз был верным.

В этой связи берем модуль BreezingForms, фактически FacileForms только портированный в Joomla 1.5.

Якоря: ,

Post a Comment